/*
 *  Aquamarine the KDE window decorator
 *
 *  Copyright (c) 2006 Dennis Kasprzyk <onestone@beryl-project.org>
 *  Copyright (c) 2006 Volker Krause <vkrause@kde.org>
 *
 *  Uses code of:
 *      Emerald window decorator (www.beryl-project.org)
 *      gtk-window-decorator (www.freedesktop.org/wiki/Software/Compiz)
 *      KWin window manager (www.kde.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */



#ifndef AQUAMARINE_INTEGRATION_H
#define AQUAMARINE_INTEGRATION_H

#ifdef HAVE_CONFIG_H
#  include "../config.h"
#endif

#ifdef HAVE_BERYL_SETTINGS

extern "C" {
#include <beryl-settings.h>
}

class KConfig;

namespace Aquamarine
{

    class Integration
    {
      public:

		Integration ();

        void updateSettings ();

	  private:

		bool KdeKeyToBeryl (QString keyString, BerylSettingsPlugin * plugin, char * beryl_name);
		bool KdeStrToBeryl (QString val, BerylSettingsPlugin * plugin, char * beryl_name);
		bool KdeBoolToBeryl (bool val, BerylSettingsPlugin * plugin, char * beryl_name);
		bool KdeIntToBeryl (int val, BerylSettingsPlugin * plugin, char * beryl_name);
    };

}

#endif
#endif
